> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user



## OpenAPI

````yaml /spec.json get /client/user
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/user:
    get:
      tags:
        - User.
      summary: Get user
      responses:
        '200':
          description: User details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/userResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: User not found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database access error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    userResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        role:
          type: string
        group_id:
          type: string
          format: uuid
        address:
          type: object
          properties:
            city:
              type: string
            country:
              type: string
            street:
              type: string
            zip_code:
              type: string
        company:
          type: string
        email:
          type: string
        firstname:
          type: string
        lastname:
          type: string
        notification_app:
          type: boolean
        notification_email:
          type: boolean
        notification_interval:
          type: string
        notifications:
          type: array
          items:
            type: string
        phone_number:
          type: string
        volume_unit:
          type: string
        temperature_unit:
          type: string
        customer_id:
          type: string
        consent:
          type: boolean
        google_home:
          type: boolean
        dark_theme:
          type: boolean
        use_phone_theme:
          type: boolean
        routines:
          type: array
          items:
            type: string
        updated_at:
          type: string
        automatic_timezone:
          type: boolean
        locale:
          type: string
        sharing_requests:
          type: boolean
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````